Subject: bug#79173: 30.1; TRAMP simplified syntax produces empty completing-read candidates

From: Reuben Thomas <[email-masked]>
Date: Thu, 7 Aug 2025 19:34:18 +0100

On Thu, 7 Aug 2025 at 18:41, Michael Albinus <[email-masked]> wrote:

>
> Pls try to provide a recipe starting with 'emacs -Q', like the one I
> have shown in my last message. This makes it much more convenient to
> hunt a bug.
>

In the end, the problem turned out to be some advice for
completion-file-table-name I picked up from Stack Exchange:
https://emacs.stackexchange.com/a/45246/13004

to ignore dot files unless they are explicitly asked for in file-find.

I don't propose to try to delve into it; most likely, the bug is in that
code, and the reason that everything worked on one machine and not another
has to do with different disk contents.

Many thanks again for your help.

-- 
https://rrt.sc3d.org